Subject: RE: [Entmib] Entity MIB v3

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 1 Dec 2004 22:55:51 +0200

Hi Margaret,

I know that the MIB was not in the Charter, and Kaj's work was supposed to be pursued as an individual submission. I must have missed the point where we decided to add the objects to the Entity MIB instead (which I am fine with, btw). When did this happen? 

Regards,

Dan

> -----Original Message-----
> From: Margaret Wasserman [mailto:[email-masked]]
> Sent: 01 December, 2004 10:48 PM
> To: Romascanu, Dan (Dan); [email-masked]
> Cc: [email-masked]; [email-masked]; Andy Bierman
> Subject: RE: [Entmib] Entity MIB v3
> 
> 
> 
> Hi Dan,
> 
> It was never in this WG's charter to produce the supplemental MIB. 
> At one point, we had recommended to Kaj that he pursue individual 
> submission of this document, but we have since decided to add the 
> objects to the Entity MIB instead.
> 
> Margaret
> 
> At 9:03 PM +0200 12/1/04, Romascanu, Dan \(Dan\) wrote:
> >I am confused. Did not the WG decide to proceed with the Definitions 
> >of Entity Manufacturing and URN Managed Objects as an Informational, 
> >based upon Kaj's individual submission 
> >http://www.ietf.cnri.reston.va.us/internet-drafts/draft-tesin
k-entity-supplmib-01.txt? 
>Regards,
>Dan

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 2 Dec 2004 10:40:16 +0100

> entPhysicalUris OBJECT-TYPE
>     SYNTAX      OCTET STRING
>     MAX-ACCESS  read-write
>     STATUS      current
>     DESCRIPTION
>             "This object contains additional identification information
>             about the physical entity. The object contains URIs and
>             therefore the syntax of this object must conform to RFC 2396
>             [RFC2396] section 2. Multiple URIs may be separated by white
>             space characters."
>     REFERENCE
>             "RFC 2396, Uniform Resource Identifiers (URI): Generic
>             Syntax, section 2, August 1998."
>     ::= { entPhysicalEntry 18 }

I do not like citations inside a MIB module, and certainly I do not
see why a citation has to be made in above text, it seems redundant to me.

If it is needed because this is the only place in the doc that we
discuss this reference, then maybe a better methos is:

     REFERENCE
             "RFC 2396, Uniform Resource Identifiers (URI): Generic
             Syntax, section 2, August 1998." -- [RFC2396]

But probably best is to have some prose outside of the MIB module
definition itself and add a citation there.

> 
> **************************************************************
> ***********
> 
> Issues:
>   - Reference for CLEI missing
>   - Is zero-length string allowed, instead or as well as
>     not instantiated?
>   - Is only whitespace allowed?
>   - Is preceding or trailing whitespace allowed?
>   - RFC 2396, sec. 2 defines structure of a generic URI.
>     This is a very proprietary object in nature.  Not only
>     is the value set proprietary (our normal mode, e.g.,
>     sysObjectID), but the even the purpose of the value set
>     is proprietary.  Therefore, this is a total placeholder object.
>     The issue is: Is that okay or not?
> 

If we want to use these RFC2396 material, would it not be better to
define two TCs, UriTC and UrisTC or some such? I know that if we go
this path that it may just introduce more delay, which is not my
intention. And so I won't object heavily if we decide to leave a
proper set of TC definitions to some other effort outside this WG.

> IMO, this object is too vague to be in a standards document.

Mmm... rfc2396 is stds track, so why do you think it is too vague?

Bert